ReadOnlyLongProperty (JavaFX 19)
Description: declaration: module: javafx.base, package: javafx.beans.property, class: ReadOnlyLongProperty

Module javafx.base
Package javafx.beans.property

# Class ReadOnlyLongProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.LongExpression
javafx.beans.property.ReadOnlyLongProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`

Direct Known Subclasses:
  `LongProperty`, `ReadOnlyLongPropertyBase`

public abstract class ReadOnlyLongProperty extends LongExpression implements ReadOnlyProperty<Number>
Superclass for all readonly properties wrapping a `long`.

Since:
  JavaFX 2.0
See Also:
  - `ObservableLongValue`
  - `LongExpression`
  - `ReadOnlyProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyLongProperty()`
  The constructor of `ReadOnlyLongProperty`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlyObjectProperty<Long>`
  `asObject()`
  Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyLongProperty`.
  `static <T extends Number>
  ReadOnlyLongProperty`
  `readOnlyLongProperty(ReadOnlyProperty<T> property)`
  Returns a `ReadOnlyLongProperty` that wraps a `ReadOnlyProperty`.
  `String`
  `toString()`
  Returns a string representation of this `ReadOnlyLongProperty` object.

  ### Methods declared in class javafx.beans.binding.LongExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, intValue, longExpression, longExpression, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableLongValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, flatMap, getValue, map, orElse, removeListener`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

- ## Constructor Details

  - ### ReadOnlyLongProperty

    public ReadOnlyLongProperty()
    The constructor of `ReadOnlyLongProperty`.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this `ReadOnlyLongProperty` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `ReadOnlyLongProperty` object.

  - ### readOnlyLongProperty

    public static <T extends Number> ReadOnlyLongProperty readOnlyLongProperty(ReadOnlyProperty<T> property)
    Returns a `ReadOnlyLongProperty` that wraps a `ReadOnlyProperty`. If the `ReadOnlyProperty` is already a `ReadOnlyLongProperty`, it will be returned. Otherwise a new `ReadOnlyLongProperty` is created that is bound to the `ReadOnlyProperty`. Note: null values will be interpreted as 0L
    Type Parameters:
      `T` - The type of Number to be wrapped
    Parameters:
      `property` - The source `ReadOnlyProperty`
    Returns:
      A `ReadOnlyLongProperty` that wraps the `ReadOnlyProperty` if necessary
    Throws:
      `NullPointerException` - if `property` is `null`
    Since:
      JavaFX 8.0

  - ### asObject

    public ReadOnlyObjectProperty<Long> asObject()
    Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyLongProperty`. If the value of this `ReadOnlyLongProperty` changes, the value of the `ReadOnlyObjectProperty` will be updated automatically.
    Overrides:
      `asObject` in class `LongExpression`
    Returns:
      the new `ReadOnlyObjectProperty`
    Since:
      JavaFX 8.0